// Строки

let string = 'some test string'; // исходная строка

// --------------------------------------------------------------------------------------------------------------
// 1. Получить первую и последнюю буквы строки
// --------------------------------------------------------------------------------------------------------------
let firstLetter = string[0],
    lastLetter = string[string.length - 1];
console.log(firstLetter); // s
console.log(lastLetter); // g

// --------------------------------------------------------------------------------------------------------------
// 2. Сделать первую и последнюю буквы в верхнем регистре
// --------------------------------------------------------------------------------------------------------------
console.log(firstLetter.toUpperCase()); // S
console.log(lastLetter.toUpperCase()); // G

// --------------------------------------------------------------------------------------------------------------
// 3. Найти положение слова 'string' в строке
// --------------------------------------------------------------------------------------------------------------
console.log(string.indexOf('string')); // 10

// --------------------------------------------------------------------------------------------------------------
// 4. Найти положение второго пробела
// --------------------------------------------------------------------------------------------------------------
let firstSpacePos = string.indexOf(' '),
    secondSpacePos = string.indexOf(' ', firstSpacePos + 1);
console.log(secondSpacePos); // 9

// --------------------------------------------------------------------------------------------------------------
// 5. Получить строку с 5-го символа длиной 4 буквы
// --------------------------------------------------------------------------------------------------------------
console.log(string.substr(5, 4)); // 'test'

// --------------------------------------------------------------------------------------------------------------
// 6. Получить строку с 5-го по 9-й символы
// --------------------------------------------------------------------------------------------------------------
console.log(string.substring(5, 9)); // 'test'

// --------------------------------------------------------------------------------------------------------------
// 7. Получить новую строку из исходной путем удаления последних 6-и символов (то есть исходная строка без последних 6-и симвлов)
// --------------------------------------------------------------------------------------------------------------
console.log(string.slice(0, -6)); // 'some test '

// --------------------------------------------------------------------------------------------------------------
// 8. Из двух переменных a=20 и b=16 (где 20 и 16 - числа) получить переменную string, в которой будет содержаться текст "2016"
// --------------------------------------------------------------------------------------------------------------
let a = 20,
    b = 16;
let newString = '' + a + b;
console.log(newString); // '2016'
